#pragma once

#include "Widget.h"
#include "Button.h"
#include "Label.h"
#include "TextBox.h"
#include "TextEditorController.h"

#include <functional>

class TextEditorView : public Widget
{
public:
    TextEditorView();

    static std::unique_ptr<TextEditorView> Create();

    TextEditorController* getController();

    void initialize();

private:
    TextBox* mTextBox;
    TextEditorControllerUPtr mController;
};
using TextEditorViewUPtr = std::unique_ptr<TextEditorView>;
